public/get_instruments
List the tradable instruments
WSS
/
Messages
{
"type": "<string>",
"additionalProperties": true,
"description": "<string>"
}{
"instruments": [
{
"symbol": "BTC_USDC-2MAY26-77000-C",
"underlying": "BTC",
"strike": "77000.00000000",
"option_type": "call",
"expiry": 1777708800,
"state": "open",
"tick_size": "0.01000000",
"min_size": "0.01000000",
"contract_size": "1.00000000"
}
]
}{
"code": 1001,
"message": "unknown account"
}Request params
type:object
Result
type:object
Error
type:object
1001 for an authentication or session failure, -32602 for malformed params on a public/* method.
Messages
{
"type": "<string>",
"additionalProperties": true,
"description": "<string>"
}{
"instruments": [
{
"symbol": "BTC_USDC-2MAY26-77000-C",
"underlying": "BTC",
"strike": "77000.00000000",
"option_type": "call",
"expiry": 1777708800,
"state": "open",
"tick_size": "0.01000000",
"min_size": "0.01000000",
"contract_size": "1.00000000"
}
]
}{
"code": 1001,
"message": "unknown account"
}